Package gcc5: Information

Source package: gcc5
Version: 5.3.1-alt9
Build time:  Apr 24, 2021, 08:15 AM in the task #270598
Category: Development/C
Report package bug
Summary: GNU Compiler Collection
Description: 
This package contains the GNU Compiler Collection version 5.3.1.
You'll need this package in order to compile C code.
It is also required for all other GCC compilers.

If you have multiple versions of the GNU Compiler Collection
installed on your system, you may want to execute
gcc-5
in order to explicitly use the GNU C compiler version 5.3.1.

List of rpms provided by this srpm:
cpp5 (x86_64, ppc64le, i586, armh, aarch64)
cpp5-debuginfo (x86_64, ppc64le, i586, armh, aarch64)
gcc5 (x86_64, ppc64le, i586, armh, aarch64)
gcc5-c++ (x86_64, ppc64le, i586, armh, aarch64)
gcc5-c++-debuginfo (x86_64, ppc64le, i586, armh, aarch64)
gcc5-debuginfo (x86_64, ppc64le, i586, armh, aarch64)
gcc5-doc (noarch)
gcc5-fortran (x86_64, ppc64le, i586, armh, aarch64)
gcc5-fortran-debuginfo (x86_64, ppc64le, i586, armh, aarch64)
gcc5-locales (noarch)
gcc5-objc (x86_64, ppc64le, i586, armh, aarch64)
gcc5-objc++ (x86_64, ppc64le, i586, armh, aarch64)
gcc5-objc++-debuginfo (x86_64, ppc64le, i586, armh, aarch64)
gcc5-objc-debuginfo (x86_64, ppc64le, i586, armh, aarch64)
gcc5-plugin-devel (x86_64, ppc64le, i586, armh, aarch64)
libasan2 (x86_64, ppc64le, i586, armh, aarch64)
libasan2-debuginfo (x86_64, ppc64le, i586, armh, aarch64)
libasan5-devel-static (x86_64, ppc64le, i586, armh, aarch64)
libatomic5-devel-static (x86_64, ppc64le, i586, armh, aarch64)
libcilkrts5-devel (x86_64, i586)
libcilkrts5-devel-static (x86_64, i586)
libgfortran5-devel (x86_64, ppc64le, i586, armh, aarch64)
libgfortran5-devel-static (x86_64, ppc64le, i586, armh, aarch64)
libgomp5-devel (x86_64, ppc64le, i586, armh, aarch64)
libgomp5-devel-static (x86_64, ppc64le, i586, armh, aarch64)
libitm5-devel-static (x86_64, ppc64le, i586, armh, aarch64)
liblsan5-devel-static (x86_64)
libobjc5-devel (x86_64, ppc64le, i586, armh, aarch64)
libobjc5-devel-static (x86_64, ppc64le, i586, armh, aarch64)
libquadmath5-devel (x86_64, i586)
libquadmath5-devel-static (x86_64, i586)
libstdc++5-devel (x86_64, ppc64le, i586, armh, aarch64)
libstdc++5-devel-static (x86_64, ppc64le, i586, armh, aarch64)
libtsan5-devel-static (x86_64)
libubsan5-devel-static (x86_64, ppc64le, i586, armh, aarch64)
libvtv5-devel-static (x86_64, i586)



    1. makeinfo
    2. flex
    3. perl-Pod-Parser
    4. gcc-c++
    5. automake_1.11
    6. binutils >= 1:2.24.0
    7. rpm-build >= 4.0.4-alt39
    8. coreutils
    9. libtool_2.4
    10. libelf-devel
    11. zlib-devel
    12. libmpc-devel
    13. libmpfr-devel

Last changed


April 24, 2021 Gleb Fotengauer-Malinovskiy 5.3.1-alt9
- Fixed build with glibc >= 2.31.
May 19, 2020 Gleb Fotengauer-Malinovskiy 5.3.1-alt8
- Fixed build with glibc >= 2.28.
- Changed License tag to SPDX ID.
Aug. 5, 2019 Gleb Fotengauer-Malinovskiy 5.3.1-alt7
- Added ppc64le support.
- Disabled gdb-plugin packaging in compat mode.